# role_apt

Rôle de configuration du gestionnaire de paquet *apt* et de déploiement/suppression de paquets.

## Variables

### apt_distribution_name

Nom de la distribution utilisée.

<span style="text-decoration: underline">Valeur par défaut:</span> `debian`

### apt_distribution_release

Nom de la version de la distribution utilisée.

<span style="text-decoration: underline">Valeur par défaut:</span> `bullseye`

### apt_distribution_sections

Sections où seront chercher les paquets (exemple : `main contrib non-free`).

<span style="text-decoration: underline">Valeur par défaut:</span> `main`

### apt_remove

Liste de paquets qui seront désinstallés.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### apt_install

Liste de paquets qui seront installés.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

## Exemple d'utilisation

### inventory.yml


```yaml
---

all:
  hosts:
    host1.ykn.local:
```

### group_vars/all.yml

```yaml
---

apt_remove:
  - cloud-guest-utils
  - cloud-init

apt_install:
  - fail2ban
  - nftables
  - tmux
```

### playbook.yml

```yaml
---

- hosts: 'all'
  roles:
    - name: apt
```
